Reporting Field Documentation

This document describes SheerID’s reporting and data-export fields — for example, the columns in report downloads and the data warehouse export. These are not the live Verification API request and response fields. For those, see the Required Fields tables and the REST API Reference.

Standard Report Fields

Request ID

  • Data Type: STRING
  • Nullable: No
  • Enumeration: N/A
  • Description: A unique identifier for the verification request
  • Default Value: Auto-generated
  • Precision/Scale: N/A
  • Max Length: 24 characters

Request Timestamp

  • Data Type: INTEGER
  • Nullable: No
  • Enumeration: N/A
  • Description: Unix timestamp in milliseconds for the original request or the stamp of the most recent revision
  • Default Value: Current timestamp
  • Precision/Scale: int64 format (milliseconds since epoch)
  • Max Length: N/A

Account ID

  • Data Type: STRING
  • Nullable: No
  • Enumeration: N/A
  • Description: A unique identifier for the SheerID customer account that submitted the request
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

User ID

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: A unique identifier for the SheerID account user that submitted the request
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Username

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The SheerID account username of the user that submitted the request
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Result

  • Data Type: BOOLEAN
  • Nullable: Yes
  • Enumeration:
    • true - The individual has been matched in at least one Verification Source and currently has at least one of the requested affiliation types
    • false - The individual has been matched in at least one Verification Source and does not currently have at least one of the requested affiliation types
    • null - The individual has not been matched in any Verification Source
  • Description: The outcome of the verification attempt
  • Default Value: null
  • Precision/Scale: N/A
  • Max Length: N/A

Eligibility

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration:
    • ELIGIBLE - The individual has been matched against at least one verification source and is verified to be eligible for the offer
    • INELIGIBLE - The individual is not currently eligible for the offer because they have not been verified against a verification source
  • Description: Whether the individual is verified to be eligible or not
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: 10 characters

Status

  • Data Type: STRING
  • Nullable: No
  • Enumeration:
    • NEW - The verification request has not yet been submitted to any Verification Source
    • PENDING - The final response from verification sources has not been received. Requests with this status have either not completed Document Review Verification, are in-progress of verifying through Single Sign On sources, or are waiting for email or sms loop responses
    • OPEN - The verification request has been submitted to a verification source but the individual has not been matched. In most cases, OPEN statuses will have a blank Result and did not submit a document for review
    • COMPLETE - The verification request has been submitted to a verification source and the individual has been matched and has a result of TRUE or FALSE
  • Description: The current status of the verification request
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: 50 characters

Errors

  • Data Type: STRING_LIST
  • Nullable: Yes
  • Enumeration: N/A
  • Description: A list of errors encountered during the process for the verification request
  • Default Value: Empty list
  • Precision/Scale: N/A
  • Max Length: Variable

ErrorCodes

  • Data Type: STRING_LIST
  • Nullable: Yes
  • Enumeration:
    • AFFILIATION_TYPE_UNKNOWN
    • AFFILIATION_TYPE_UNSUPPORTED
    • AMBIGUOUS_ORGANIZATION
    • ASSET_COMPOSITE_PARTIAL
    • ASSET_CURRENTLY_ENROLLED
    • ASSET_FIELD_VALUE_CONFLICT
    • ASSET_FIELD_VALUE_DATE
    • ASSET_FIELD_VALUE_MATCH
    • ASSET_FIELD_VALUE_UNKNOWN
    • ASSET_INVALID_ISSUE_DATE_ACADEMIC
    • ASSET_REJECTED
    • ASSET_UNREADABLE
    • ASSET_UNSUPPORTED
    • ASSET_UNSUPPORTED_HANDWRITTEN
    • ASSET_UNSUPPORTED_WORD_DOC
    • ASSET_UPLOAD_PENDING
    • CHALLENGE_EMAIL_INCORRECT
    • CHALLENGE_EMAIL_PENDING
    • CHALLENGE_QUESTIONS_INCORRECT
    • CHALLENGE_QUESTIONS_PENDING
    • CHALLENGE_SMS_INCORRECT
    • CHALLENGE_SMS_PENDING
    • DATA_NOT_AVAILABLE
    • DATA_SOURCE_UNAVAILABLE
    • DENYLIST_ORGANIZATION
    • DOB_AFTER_STATUS_START_DATE
    • FIELD_VALUE_CONFLICT
    • FUTURE_BIRTH_DATE
    • HIGH_RISK_EMAIL_ADDRESS
    • HIGH_RISK_IP_ADDRESS
    • INACTIVE_REQUEST
    • INCOMPLETE_SCHOOL_NAME
    • INSUFFICIENT_DATA
    • INVALID_DATE_FORMAT
    • INVALID_EMAIL_ADDRESS
    • INVALID_EMAIL_ADDRESS_FORMAT
    • INVALID_IP_ADDRESS
    • INVALID_ORGANIZATION
    • INVALID_PARAMETERS
    • INVALID_PHONE_NUMBER
    • INVALID_SSN
    • LONG_NAME
    • NEED_MORE_INFORMATION
    • OPERATION_CANCELED_BY_USER
    • OPERATION_NOT_COMPLETED_BY_USER
    • OUTSIDE_RANGE_PERSON
    • OVERAGE_PERSON
    • OVER_SAME_PERSON_LIMIT
    • SANDBOX_FUTURE_DATE
    • SANDBOX_ODD_BIRTH_YEAR
    • SANDBOX_ODD_FIELD_VALUE
    • SANDBOX_ODD_ID_NUMBER
    • SANDBOX_ODD_SSN
    • SANDBOX_REJECTED_FIRST_NAME
    • SANDBOX_ZERO_FIELD_VALUE
    • SANDBOX_ZERO_ID_NUMBER
    • SANDBOX_ZERO_SSN
    • SCHOOL_NOT_ELIGIBLE_HIGHER
    • SCHOOL_NOT_ELIGIBLE_TITLE_IV
    • UNDERAGE_PERSON
    • UNSUPPORTED_ORGANIZATION
    • UNSUPPORTED_PHONE_NUMBER
    • VERIFICATION_PARSE_EXCEPTION
    • VERIFICATION_TOKEN_EXPIRED
    • VERIFICATION_TOKEN_NOT_FOUND
  • Description: The error ID codes corresponding to the errors encountered
  • Default Value: Empty list
  • Precision/Scale: N/A
  • Max Length: Variable per error code

Person ID

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: A unique identifier for a set of an individual’s identifying data
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Organization ID

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: A unique identifier for the requested organization
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Organization Name

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The name of the requested organization
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Organization Phone

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The phone number of the requested organization
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Organization Street

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The street address of the requested organization
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Organization City

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The city of the requested organization
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Organization Zip

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The zip code of the requested organization
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Organization State

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The state of the requested organization
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Organization Country

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The country of the requested organization
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: 2 characters (ISO-3166-1 alpha-2 country code)

Organization Type

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The type of requested organization
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Verification Method

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration:
    • INSTANT - The result was determined instantly
    • MANUAL - The result was determined manually, i.e. by manual document review
    • null - The result has not been determined so no verification method applies. These verifications are awaiting more information from the consumer or expired before that information was provided
  • Description: The method used to decision a verification. Null for verifications that are in progress or that expired before completion
  • Default Value: null
  • Precision/Scale: N/A
  • Max Length: 7 characters

Verification Types

  • Data Type: STRING_LIST
  • Nullable: Yes
  • Enumeration:
    • AUTHORITATIVE - SheerID has attempted to find a match within one of its authoritative data providers
    • ASSET REVIEW - No authoritative verification was attempted and the verification was performed via Document Review
    • AUTHORITATIVE, ASSET REVIEW - SheerID did not find a match within one of its authoritative data providers, and the individual then uploaded a document for Document Review Verification
    • EMAIL_LOOP - An email was sent to the address provided for verification and a link to click on from the email to complete the verification
    • EMAIL_LOOP_WITH_DOMAIN_VALIDATION - An email was sent to the address provided for verification and a check was performed to confirm the domain of the email provided by the end-user matches an email domain listed for the provided organization
    • HONOR_SYSTEM - A user was automatically approved after submitting a request
    • INFO - A request was affected by verification flow logic based on the details of the particular program and request in question
    • IP_ADDRESS - A user’s IP address was checked against the values set for that organization
    • OVERRIDE - A user’s verification was approved via an override code provided by a client of SheerID (usually only occurs when a user is verifying in-store)
    • PREDICTIVE - Non-authoritative instant sources were consulted that make a prediction about the user’s affiliation status
    • SSO - Single Sign-On: A user was verified by entering their credentials directly in a login screen hosted by the organization entered on the verification form and that organization letting SheerID know the login was successful
    • VALIDATION - The user’s email address provided for verification has a domain that matches a list of approved email domains associated with the organization when selected
  • Description: The types of verification used to obtain a result for the verification request
  • Default Value: Empty list
  • Precision/Scale: N/A
  • Max Length: Variable

Requested Affiliation Types

  • Data Type: STRING_LIST
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The affiliation types selected by the individual
  • Default Value: Empty list
  • Precision/Scale: N/A
  • Max Length: Variable

Confirmed Affiliation Types

  • Data Type: STRING_LIST
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The affiliation types that the individual was determined by SheerID to hold
  • Default Value: Empty list
  • Precision/Scale: N/A
  • Max Length: Variable

Data Updated Date

  • Data Type: DATE
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The date the affiliation information was most recently updated by the data source
  • Default Value: None
  • Precision/Scale: ISO-8601 format
  • Max Length: N/A

Period Begin Date

  • Data Type: DATE
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The start of the most recent status period
  • Default Value: None
  • Precision/Scale: YYYY-MM-DD format
  • Max Length: N/A

Period End Date

  • Data Type: DATE
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The end of the most recent status period
  • Default Value: None
  • Precision/Scale: YYYY-MM-DD format
  • Max Length: N/A

Test Mode

  • Data Type: BOOLEAN
  • Nullable: No
  • Enumeration: true, false
  • Description: Whether the verification was made while the program was in TestMode or not
  • Default Value: false
  • Precision/Scale: N/A
  • Max Length: N/A

Person Fields

EMAIL

  • Data Type: STRING
  • Nullable: Yes (context-dependent, required for most segments)
  • Enumeration: N/A
  • Description: The email address supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

EMAIL2

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: An additional email address supplied by individual being verified for the purposes of verification
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

FIRST_NAME

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The first name supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

MIDDLE_NAME

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The middle name supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

LAST_NAME

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The last name supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

FULL_NAME

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The full name supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

COMPANY_NAME

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The company name supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

BIRTH_DATE

  • Data Type: STRING
  • Nullable: Yes (context-dependent, required for most segments)
  • Enumeration: N/A
  • Description: The date of birth supplied by individual being verified (format YYYY-MM-DD). Date must be greater than 1900-01-01
  • Default Value: None
  • Precision/Scale: Date format (YYYY-MM-DD)
  • Max Length: 10 characters

ID_NUMBER

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The ID Number supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

JOB_TITLE

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The job title supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

USERNAME

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The username supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

ADDRESS1

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: Line 1 of the physical address supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

ADDRESS2

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: Line 2 of the physical address supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

CITY

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The city supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

STATE

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The state supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

POSTAL_CODE

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The postal code supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

PHONE_NUMBER

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The phone number supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

COUNTRY

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The country supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: 2 characters (ISO-3166-1 alpha-2 country code)

SSN

  • Data Type: NUMBER
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The Social Security Number supplied by individual being verified
  • Default Value: None
  • Precision/Scale: Exactly 9 digits
  • Max Length: 9 digits

SSN_LAST4

  • Data Type: NUMBER
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The last 4 digits of the Social Security Number supplied by individual being verified
  • Default Value: None
  • Precision/Scale: Exactly 4 digits
  • Max Length: 4 digits

STATUS_START_DATE

  • Data Type: DATE
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The start of the most recent status period
  • Default Value: None
  • Precision/Scale: YYYY-MM-DD format
  • Max Length: N/A

SUFFIX

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The name suffix supplied by individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

RELATIONSHIP

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The relationship of the individual to another verified community member
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

IP_ADDRESS

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The IP Address of the individual being verified
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable (IPv4 or IPv6 format, validated by format: ipv4,ipv6)

VERIFICATION_TOKEN

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The unique nonce token generated with the verification request, used for marketplace verifications
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable (alphanumeric)

Metadata Fields

Program Name

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The name of the program which the individual attempted verification
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

templateId

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: A unique ID of the program which the individual attempted verification
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

amount

  • Data Type: NUMBER
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The amount spent by the individual, when sent and associated with the verification
  • Default Value: 1.0
  • Precision/Scale: Double format (floating-point), minimum: 0
  • Max Length: N/A

currency

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The currency associated with the amount (ISO-4217 3-letter alphabetic currency code)
  • Default Value: USD
  • Precision/Scale: N/A
  • Max Length: 3 characters

trackingId

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: A unique ID generated by the SheerID client and submitted with the verification
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

marketConsentValue

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: An indication whether the individual consented to receive marketing materials for the SheerID client
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

rewardCode

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: The code sent to the individual upon successful verification
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

supportTicket

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: Any support tickets associated with the verification
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

socialId

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: A unique identifier for the requestId; used by the social sharing feature to track who makes a share action to refer additional customers to the offer
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

token

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: Authentication or verification token
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

verifyUrl

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: URL for verification purposes
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable (URL format)

transactionId

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: Used in request metadata to store a reference to payment transaction ID
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

cmp

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: Campaign tracking parameter
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

utm_campaign

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: UTM campaign tracking parameter
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

utm_content

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: UTM content tracking parameter
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

utm_medium

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: UTM medium tracking parameter
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

utm_source

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: UTM source tracking parameter
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

utm_term

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: UTM term tracking parameter
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Source Attribution

  • Data Type: STRING
  • Nullable: Yes
  • Enumeration: N/A
  • Description: Any necessary attribution related to sources used to approve the verification
  • Default Value: None
  • Precision/Scale: N/A
  • Max Length: Variable

Data Type Reference

The following data types are used throughout the system:

  • STRING: Text data of variable length
  • STRING_LIST: Array/list of text values
  • DATE: Date values in ISO-8601 or YYYY-MM-DD format
  • NUMBER: Numeric values (integers or decimals; e.g. amount, SSN)
  • FLOATING_POINT: Any real number (decimal values)
  • BOOLEAN: True/false values
  • EMAIL: Email address format (validated string)